List node pools
curl --request GET \
--url https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}/pools \
--header 'X-API-Key: <api-key>' \
--header 'X-Project-ID: <x-project-id>'import requests
url = "https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}/pools"
headers = {
"X-Project-ID": "<x-project-id>",
"X-API-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Project-ID': '<x-project-id>', 'X-API-Key': '<api-key>'}
};
fetch('https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}/pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"node_pools": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"node_count": 123,
"status": "pending",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actual_node_count": 123,
"min_nodes": 123,
"max_nodes": 123,
"autoscale_enabled": true,
"plan_id": 123,
"cpu": 123,
"ram": 123,
"disk": 123,
"labels": "<string>",
"taints": "<string>",
"status_message": "<string>",
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pool_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"role": "vnf",
"status": "pending",
"cpu": 123,
"ram": 123,
"disk": 123,
"ip_address": "<string>",
"price_per_hour": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"message": "<string>"
}Node pools
List Node Pools
GET
/
api
/
v1
/
k8s
/
clusters
/
{cluster_id}
/
pools
List node pools
Updated August 24, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Headers
Project ID. Required for all mutating operations (create, delete, power actions, resize).
Path Parameters
Cluster ID (short id, e.g. q7z7zg)
Last modified on August 24, 2026
⌘I